package myapp.web.site.login;
import java.io.Serializable;
import org.seasar.struts.annotation.tiger.BoolType;
import org.seasar.struts.validator.annotation.tiger.Args;
import org.seasar.struts.validator.annotation.tiger.Required;

public class LoginForm implements Serializable{

	private static final long serialVersionUID = 1L;
	protected String userId;
	protected String password;

	public String getUserId() {
		return userId;
	}
	public String getPassword() {
		return password;
	}

	@Required
	@Args(keys="user.userId",resource=BoolType.TRUE)
	public void setUserId(String userId) {
		this.userId = userId;
	}
	@Required
	@Args(keys="user.password",resource=BoolType.TRUE)
	public void setPassword(String password) {
		this.password = password;
	}
}
