<%@ page language="java" contentType="text/html; charset=UTF-8" %>
<%@taglib uri="http://struts.apache.org/tags-logic" prefix="logic" %>
<%@taglib uri="http://struts.apache.org/tags-html" prefix="html" %>
<%@ taglib uri="http://www.seasar.org/tags-s2struts" prefix="s2struts" %>

<table border="1">
<tr>
<td><html:link action="/site/top">top.do</html:link></td>
<td><pre>
フォームをjsp:include側に設置したページ
(本体jsp側にも設置)
</pre></td>
</tr>
<tr>
<td><html:link action="/site/top2">top2.do</html:link></td>
<td><pre>
フォームをjsp本体側のみに設定したページ
(jsp:includeはなし)
</pre></td>
</tr></table>
<pre>
Tomcat起動後、
top.doを1度でも開いてしまうと、全てのフォームでHotDeployが効かなくなる。
(top.doにある2つ、top2.doにある1つのフォーム)
top2.doだけを開いていればHotDeployが効く。

HotDeployの確認は、LoginFormのアノテーションをコメントアウトしたり復活させたりして試している。

header.inclにあるformをコメントアウトすると、
top.doを開いた後でもHotDeployが効く。
</pre>
